/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package vclaimsep

import (
	e "simrs-vx/internal/domain/bpjs-entities/vclaim-sep"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.VclaimSep) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.Number = inputSrc.Number
}
